Subject: [bug#74054] [PATCH v2 2/3] gnu: plib: Build with -fPIC.

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 29 Oct 2024 08:00:26 +0100

Am Dienstag, dem 29.10.2024 um 09:04 +0900 schrieb Maxim Cournoyer:
> Hi Liliana,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Am Montag, dem 28.10.2024 um 15:26 +0900 schrieb Maxim Cournoyer:
> > > * gnu/packages/game-development.scm (plib) [configure-flags]: New
> > > argument.
> > That may be a typo – I think we use the #: part.
> > Alternatively you could write [arguments]: Add #:configure-flags.
> 
> I see multiple variants in use.  That's hard for newcomer and bad
> consistency, but until someone distills 'The One True Changelog
> Format' style to use, I think they are all acceptable.  For example:
> 
> '(plib) [phases]: Add some phase.' is common for example.
> 
> '(plib) [configure-flags]: New argument.' is similar style.
> 
> A more verbose alternative, which is also used could be:
> 
> '(plib) [arguments] <configure-flags>: New argument.'
> 
> Thanks for taking a look.
I'm fine with dropping the [arguments] part, but IMHO the #: marker
should be there, as it marks the thing as a keyword argument (thus also
making arguments superfluous – it's implied).  That is, I'd also write
the phases example as #:phases.

But I haven't done a survey, so if you want to keep the ChangeLog as-
is, by all means do so.

Cheers